Bug 1445899 - Error in re-configuring service: "Error during 'Provisioning': undefined method `match' for 0:Fixnum Did you mean? catch"
Summary: Error in re-configuring service: "Error during 'Provisioning': undefined meth...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard: service
Depends On: 1442920
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-26 17:49 UTC by Satoe Imaishi
Modified: 2017-05-31 15:02 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1442920
Environment:
Last Closed: 2017-05-31 15:02:01 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
dialog used (1.36 KB, text/x-vhdl)
2017-05-11 17:40 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 Shveta 2017-04-28 20:37:42 UTC
Fixed in 5.8.0.12-rc1.20170425180304_4f35996

Comment 3 Shveta 2017-05-11 17:40:17 UTC
Re-opening as seeing the same issue at another place .
Using the dialog attached , order a catalog item.
Appliance : https://10.8.199.233
Service - integer_issue.
Order the item and see error.

Comment 4 Shveta 2017-05-11 17:40:51 UTC
Created attachment 1277986 [details]
dialog used

version - 5.8.0.14-rc3.20170509175238_5dbf87a

Comment 5 CFME Bot 2017-05-11 21:41:18 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/57ff3ae7310a2f42c440769c8368a2016f953ffb

commit 57ff3ae7310a2f42c440769c8368a2016f953ffb
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu May 11 16:45:18 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 11 17:38:58 2017 -0400

    Merge pull request #15072 from eclarizio/BZ1442920-2
    
    Fix for Error in re-configuring service 'undefined method `match` for Fixnum'
    (cherry picked from commit d813b153ac02bb7f2a31e13553e29551f5edd5a2)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445899

 app/models/dialog_field_text_box.rb       | 10 ++++++----
 spec/models/dialog_field_text_box_spec.rb | 22 +++++++++++++++++++++-
 2 files changed, 27 insertions(+), 5 deletions(-)

Comment 6 Shveta 2017-05-18 17:02:55 UTC
Fixed.
5.8.0.15.20170517161141_119e6fd

Comment 8 errata-xmlrpc 2017-05-31 15:02:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.